summaryrefslogtreecommitdiffstats
path: root/desktop/lxpanel/lxpanel.SlackBuild
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-11 14:03:46 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:03:46 +0200
commit6c81b94d0d525daa8c70a403f57cbad6da4ac138 (patch)
treea3f46b4a8dc38eace4cf198b47af8a4861c0e823 /desktop/lxpanel/lxpanel.SlackBuild
parent398fa01d0068837bd19002076dddb6a8ab4485f2 (diff)
downloadslackbuilds-6c81b94d0d525daa8c70a403f57cbad6da4ac138.tar.gz
slackbuilds-6c81b94d0d525daa8c70a403f57cbad6da4ac138.tar.xz
desktop/lxpanel: Initial import
Diffstat (limited to 'desktop/lxpanel/lxpanel.SlackBuild')
-rw-r--r--desktop/lxpanel/lxpanel.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/desktop/lxpanel/lxpanel.SlackBuild b/desktop/lxpanel/lxpanel.SlackBuild
new file mode 100644
index 0000000000..2618211139
--- /dev/null
+++ b/desktop/lxpanel/lxpanel.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+#
+# Slackware build script for lxpanel
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuilds.org project in accordance with GPL v2
+
+PRGNAM=lxpanel
+VERSION=0.2.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Patch default.in to use programs included in Slackware
+patch -p0 < $CWD/default.in.diff || exit 1
+
+# Note the addition of LDFLAGS so that the linker will find X11 in /usr/X11R6
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="SLKCFLAGS" \
+LDFLAGS=-L/usr/X11R6/lib \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Don't overwrite the default configuration file.
+mv $PKG/usr/share/$PRGNAM/default $PKG/usr/share/$PRGNAM/default.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz